Subject: Re: [PATCH net-next] net: cadence: macb: Enable software IRQ coalescing by default

From: Simon Horman <[email-masked]>
Date: Wed, 4 Sep 2024 17:26:52 +0100

On Tue, Sep 03, 2024 at 02:49:12PM -0400, Sean Anderson wrote:
> This NIC doesn't have hardware IRQ coalescing. Under high load,
> interrupts can adversely affect performance. To mitigate this, enable
> software IRQ coalescing by default. On my system this increases receive
> throughput with iperf3 from 853 MBit/sec to 934 MBit/s, decreases
> interrupts from 69489/sec to 2016/sec, and decreases CPU utilization
> from 27% (4x Cortex-A53) to 14%. Latency is not affected (as far as I
> can tell).
> 
> Signed-off-by: Sean Anderson <[email-masked]>

Nice performance improvement :)

Reviewed-by: Simon Horman <[email-masked]>